%define language fr-FR
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname French
%define name nvu-%{locale}
%define version 0.8
%define release 3mdk
%define _buildroot %{_tmppath}/%{name}-buildroot
%define nvu_version 0.81
%define mozillalibdir %{_libdir}/nvu-%{nvu_version}

Summary: %{langname} interface for Nvu
Name: %{name}
Version: %{version}
Release: %{release}
Source0: nvu-%language.xpi
License: GPL
Group: Networking/WWW
Url: http://frenchmozilla.org/nvu/
BuildRoot: %{_buildroot}
BuildRequires: nvu
PreReq: nvu = %{nvu_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Nvu

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp chrome/%language.jar %buildroot%{mozillalibdir}/chrome/
cp chrome/faitnvu.jar %buildroot%{mozillalibdir}/chrome/
cp chrome/frenchlocale.jar  %buildroot%{mozillalibdir}/chrome/

# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/rc.d/
cat << EOF > %buildroot%{mozillalibdir}/chrome/rc.d/10_%name.txt

locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/cascades/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/communicator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/communicator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/communicator-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/cookie/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/editor/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/editor-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/embed/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/global/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/global-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/global-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/help/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/mozapps/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/navigator/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/navigator-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/navigator-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/necko/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/passwordmgr/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/pinger/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/pipnss/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/pippki/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/tipoftheday/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%{language}/wallet/

content,install,url,jar:resource:/chrome/frenchlocale.jar!/content/frenchlocale/

content,install,url,jar:resource:/chrome/faitnvu.jar!/content/faitnvu/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%_libdir/nvu-%{nvu_version}/chrome/%language.jar
%_libdir/nvu-%{nvu_version}/chrome/faitnvu.jar
%_libdir/nvu-%{nvu_version}/chrome/frenchlocale.jar

%_libdir/nvu-%{nvu_version}/chrome/rc.d/10_%name.txt

%post -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%postun -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%changelog
* Sun Feb 20 2005 Stefan van der Eijk <stefan@eijk.nu> 0.8-3mdk
- fix bug #6574

* Wed Feb 09 2005 Couriousous <couriousous@mandrake.org> 0.8-2mdk
- Rebuilt for new  nvu-0.81

* Sat Feb 05 2005 Couriousous <couriousous@mandrake.org> 0.8-1mdk
- New release

* Sun Jan 16 2005 Couriousous <couriousous@mandrake.org> 0.7-1mdk
- First Mandrakelinux release
- Heavly based on firefox locales rpm
